For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI Reference
GuidesAPI Reference
  • Network API
  • Customer Request API
  • Management API
      • GETList webhook endpoints
      • POSTCreate webhook endpoint
      • GETRetrieve webhook endpoint
      • PATCHUpdate webhook endpoint
      • DELDelete webhook endpoint
      • GETList webhook events
      • WebhookEndpoint
      • WebhookEndpointStatus
      • EventConfiguration
      • ApiVersion
      • WebhookEvent
      • EventType
      • EventStatus
      • EventData
      • EventDataType
LogoLogo
Management APIWebhooks

Retrieve webhook endpoint

GET
/webhook-endpoints/:webhook_endpoint_id
GET
/management/v1/webhook-endpoints/:webhook_endpoint_id
$curl https://api.cash.app/management/v1/webhook-endpoints/webhook_endpoint_id \
> -H "Accept: Accept" \
> -H "X-Region: X-Region" \
> -H "X-Signature: X-Signature" \
> -H "User-Agent: User-Agent"
1{
2 "webhook_endpoint": {
3 "id": "WC_2f6cd0d5cc26b34ac8785026b149797ecc0758be3dc3a857d405f2f62074ef30",
4 "api_key_id": "string",
5 "url": "string",
6 "event_configurations": [
7 {
8 "event_type": "customer.created",
9 "api_version": "v1"
10 }
11 ],
12 "created_at": "2024-01-15T09:30:00Z",
13 "updated_at": "2024-01-15T09:30:00Z",
14 "delivery_timeout": 5000,
15 "status": "APPROVED",
16 "reference_id": "string",
17 "max_delivery_frequency": 1.1
18 }
19}

Returns the webhook endpoint matching the webhook_endpoint_id provided.

Scopes: WEBHOOK_CONFIG_READ

Was this page helpful?
Previous

Update webhook endpoint

Next
Built with

Path parameters

webhook_endpoint_idstringRequired

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Response

OK
webhook_endpointobject
The events will be sent to this webhook endpoint.

Errors

404
Not Found Error